package net.wanji.databus.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@NoArgsConstructor
@Data
public class MetricHistDTO {

    @ApiModelProperty(value = "状态：0正常；1失衡；2拥堵；3溢出；4死锁", notes = "")
    private Integer status;

    @ApiModelProperty(value = "开始时间：yyyy-MM-dd HH:mm:ss", notes = "")
    private Date startTime;

    @ApiModelProperty(value = "持续时间（单位：分钟）", notes = "")
    private Integer duration;

    @ApiModelProperty(value = "交通流量（辆）", notes = "")
    private Integer flow;

    @ApiModelProperty(value = "平均速度（km/h）", notes = "")
    private Double speed;

    @ApiModelProperty(value = "通行能力")
    private Integer capacity;

    @ApiModelProperty(value = "饱和度", notes = "")
    private Double sturation;

    @ApiModelProperty(value = "停车次数（次）", notes = "")
    private Double stopTimes;

    @ApiModelProperty(value = "延误时间（秒）", notes = "")
    private Integer delayTime;

    @ApiModelProperty(value = "采集时间（10位时间戳）", notes = "")
    private Integer batchTime;
}
